Passer au contenu principal
POST
/
crm
/
v3
/
objects
/
line_items
/
search
Rechercher des lignes de produits
curl --request POST \
  --url https://api.hubapi.com/crm/v3/objects/line_items/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "after": "<string>",
  "filterGroups": [
    {
      "filters": [
        {
          "operator": "BETWEEN",
          "propertyName": "<string>",
          "highValue": "<string>",
          "value": "<string>",
          "values": [
            "<string>"
          ]
        }
      ]
    }
  ],
  "limit": 123,
  "properties": [
    "<string>"
  ],
  "sorts": [
    "<string>"
  ],
  "query": "<string>"
}
'
{
  "results": [
    {
      "archived": false,
      "createdAt": "2019-10-30T03:30:17.883Z",
      "id": "512",
      "properties": {
        "property_checkbox": "false",
        "property_date": "1572480000000",
        "property_dropdown": "choice_b",
        "property_multiple_checkboxes": "chocolate;strawberry",
        "property_number": "17",
        "property_radio": "option_1",
        "property_string": "value"
      },
      "updatedAt": "2019-12-07T16:50:06.678Z"
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "NTI1Cg%3D%3D",
      "link": "?after=NTI1Cg%3D%3D"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Corps

application/json

Décrit une demande de recherche

after
string
requis

Un jeton de curseur de pagination pour récupérer les pages suivantes.

filterGroups
object[]
requis

Jusqu'à 6 groupes de filtres définissant des critères d'interrogation supplémentaires.

limit
integer<int32>
requis

Le nombre maximum de résultats à renvoyer, jusqu'à 200 objets.

properties
string[]
requis

Une liste de noms de propriétés à inclure dans la réponse.

sorts
string[]
requis

Spécifie l'ordre de tri basé sur les propriétés de l'objet.

query
string

La chaîne de requête de la recherche, jusqu'à 3 000 caractères.

Réponse

successful operation

Représente une liste d'objets simples renvoyés par une requête API, ainsi que le nombre total d'objets disponibles.

results
object[]
requis
total
integer<int32>
requis

Le nombre de résultats disponibles

paging
object
Last modified on April 13, 2026